## groovy.lang
Class MetaArrayLengthProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaArrayLengthProperty

    public class MetaArrayLengthProperty

extends MetaProperty

Represents a property on a bean which may have a getter and/or a setter

Version:
  $Revision: 11944 $
Author:
  James Strachan

Field Summary

Fields inherited from class groovy.lang.MetaProperty
`name, PROPERTY_SET_PREFIX, type`

Constructor Summary
`MetaArrayLengthProperty()`

Method Summary
`Object` `getProperty(Object object)`
`void` `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

Methods inherited from class groovy.lang.MetaProperty
`getGetterName, getModifiers, getName, getSetterName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaArrayLengthProperty

    public MetaArrayLengthProperty()

Method Detail

### getProperty

    public Object getProperty(Object object)

  Specified by:
    `getProperty` in class `MetaProperty`
  Returns:
    the property of the given object
  Throws:
    `Exception` - if the property could not be evaluated

### setProperty

    public void setProperty(Object object,
                            Object newValue)

  Sets the property on the given object to the new value

  Specified by:
    `setProperty` in class `MetaProperty`
  Parameters:
    `object` - on which to set the property
    `newValue` - the new value of the property
  Throws:
    `RuntimeException` - if the property could not be set

Copyright © 2003-2009 The Codehaus. All rights reserved.